%define realname   mga-mirrors
%define version    0.06
%define release    %mkrel 1

Name:       %{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Mageia Mirrors management
Source:     %{realname}-%{version}.tar.gz
Url:        http://mirrors.mageia.org/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:  noarch

BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Devel)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Catalyst::View::GraphViz)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Static::Simple)
BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(DBD::Pg)
BuildRequires: perl(Mail::Mailer)
BuildRequires: perl(Catalyst::Plugin::Prototype)
BuildRequires: perl(Catalyst::Plugin::Session::Store::FastMmap)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Config::General)
# (blino) for Catalyst::Plugin::Session::Store::FastMmap and Catalyst::Plugin::Prototype on Mandriva 2010.1
BuildRequires: perl(Class::Data::Inheritable)

Requires: perl(Catalyst::Plugin::Session::State::Cookie)
Requires: perl(Catalyst::Plugin::Session::Store::FastMmap)
Requires: perl(Catalyst::Plugin::Session)
Requires: perl(Catalyst::Plugin::Session::Store::DBI)
Requires: perl(Catalyst::Action::RenderView)
Requires: perl(Catalyst::View::TT)
Requires: perl(Catalyst::View::GraphViz)
Requires: perl(Catalyst::Plugin::ConfigLoader)
Requires: perl(Catalyst::Plugin::Static::Simple)
Requires: perl(Catalyst::Plugin::Prototype)
Requires: perl(DBD::Pg)

%description
Mageia Mirrors management

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%if 0
%check
make test
%endif

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%_sysconfdir
install mga-mirrors.ini.in %{buildroot}%_sysconfdir/mga-mirrors.ini

mkdir -p %{buildroot}%_var/www/cgi-bin
install script/mga_mirrors_cgi.pl %{buildroot}%_var/www/cgi-bin/mga_mirrors_cgi.pl

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%attr(0640,root,apache) %config(noreplace) %_sysconfdir/mga-mirrors.ini
%_sysconfdir/cron.d/mga_mirrors
%_bindir/*
%_var/www/cgi-bin/mga_mirrors_cgi.pl
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*



%changelog
* Mon Mar 21 2011 blino <blino> 0.06-1.mga1
+ Revision: 75367
- 0.06
- remove patch from upstream svn, included in new version

* Mon Mar 21 2011 blino <blino> 0.05-2.mga1
+ Revision: 75362
- add patch from SVN to allow an older Catalyst version
- add missing BR as workaround to be able to build on Mandriva 2010.1

  + nanardon <nanardon>
    - buildrequire Config::General

* Sun Mar 20 2011 nanardon <nanardon> 0.05-1.mga1
+ Revision: 74672
- fix buildrequires
- fix file list
- 0.05

* Sat Mar 19 2011 nanardon <nanardon> 0.04-1.mga1
+ Revision: 74471
- fix url
- imported package mga-mirrors

